#include <stdio.h>

int main (int argc, char *argv []) {

   FILE *FileIn, *FileOut;
   unsigned char ch;
   long int Nby = 0;
   int status;

   FileIn = fopen (argv [1], "rb");
   if (FileIn == NULL) {
      fprintf (stderr, "Impossibile aprire il file %s\n", argv [1]);
      return (1);
   }

   FileOut = fopen (argv [2], "wb");
   if (FileOut == NULL) {
      fprintf (stderr, "Impossibile aprire il file %s\n", argv [2]);
      return (2);
   }

   ch = fgetc (FileIn);
   while (! feof (FileIn)) {
      status = fputc (ch, FileOut);
      if (status != ch) {
         fprintf (stderr, "Errore scrivendo il file %s\n", argv [2]); 
         return (3);
      }
      Nby++;
      ch = fgetc (FileIn);
   }

   fprintf (stderr, "Copiati %ld bytes\n", Nby);
   fclose (FileIn);
   fclose (FileOut);

   return (0);
}

